Index: /branches/new_class_id/src/lib/util/executor/executor_const_member.h
===================================================================
--- /branches/new_class_id/src/lib/util/executor/executor_const_member.h	(revision 9744)
+++ /branches/new_class_id/src/lib/util/executor/executor_const_member.h	(revision 9745)
@@ -23,7 +23,6 @@
 
 /// Define all Constructs, that define an Executor.
-
 //! The Name to be attached to the functional (for normal, static, and const modes)
-#define __EXECUTOR_FUNCTIONAL_NAME(ParamCount)   Executor##ParamCount##Params_const
+#define __EXECUTOR_FUNCTIONAL_NAME(ParamCount, Ext)   Executor##ParamCount##Ext##_const
 
 //! if Functional is constant calling
Index: /branches/new_class_id/src/lib/util/executor/executor_generic.h
===================================================================
--- /branches/new_class_id/src/lib/util/executor/executor_generic.h	(revision 9744)
+++ /branches/new_class_id/src/lib/util/executor/executor_generic.h	(revision 9745)
@@ -62,5 +62,5 @@
 //! @brief ExecutorClass, that can execute Functions without any parameters.
 template<class T, typename CallType, template<typename> class Evaluater = ExecutorEvaluater, class BaseClass = BaseObject>
-class __EXECUTOR_FUNCTIONAL_NAME(0) :public Executor<CallType, BaseClass>
+class __EXECUTOR_FUNCTIONAL_NAME(0,) :public Executor<CallType, BaseClass>
 {
 private:
@@ -73,5 +73,5 @@
    * @param __EXECUTOR_FUNCTIONAL_FUNCTION_POINTER the FunctionPointer to the Calling Function.
    */
-  __EXECUTOR_FUNCTIONAL_NAME(0) (void (__EXECUTOR_FUNCTIONAL_FUNCTION_POINTER)() __EXECUTOR_FUNCTIONAL_CONST )
+  __EXECUTOR_FUNCTIONAL_NAME(0,) (void (__EXECUTOR_FUNCTIONAL_FUNCTION_POINTER)() __EXECUTOR_FUNCTIONAL_CONST )
       : Executor<CallType, BaseClass>(false, __EXECUTOR_FUNCTIONAL_FUNCTIONTYPE)
   {
@@ -95,5 +95,5 @@
   virtual Executor<CallType, BaseClass>* clone() const
   {
-    return new __EXECUTOR_FUNCTIONAL_NAME(0)<T, CallType>(this->functionPointer);
+    return new __EXECUTOR_FUNCTIONAL_NAME(0,)<T, CallType>(this->functionPointer);
   };
 };
@@ -106,5 +106,5 @@
 //! @brief ExecutorClass, that can execute Functions with one parameter.
 template<class T, typename CallType, typename type0, template<typename> class Evaluater = ExecutorEvaluater, class BaseClass = BaseObject>
-class __EXECUTOR_FUNCTIONAL_NAME(1) : public Executor<CallType, BaseClass>
+class __EXECUTOR_FUNCTIONAL_NAME(1,) : public Executor<CallType, BaseClass>
 {
 private:
@@ -117,5 +117,5 @@
    * @param __EXECUTOR_FUNCTIONAL_FUNCTION_POINTER the FunctionPointer to the Calling Function.
    */
-  __EXECUTOR_FUNCTIONAL_NAME(1) (void (__EXECUTOR_FUNCTIONAL_FUNCTION_POINTER)(type0) __EXECUTOR_FUNCTIONAL_CONST)
+  __EXECUTOR_FUNCTIONAL_NAME(1,) (void (__EXECUTOR_FUNCTIONAL_FUNCTION_POINTER)(type0) __EXECUTOR_FUNCTIONAL_CONST)
       : Executor<CallType, BaseClass>(false, ExecutorParamType<type0>(), __EXECUTOR_FUNCTIONAL_FUNCTIONTYPE)
   {
@@ -140,5 +140,5 @@
   virtual Executor<CallType, BaseClass>* clone() const
   {
-    return  new __EXECUTOR_FUNCTIONAL_NAME(1)<T, CallType, type0>(this->functionPointer);
+    return  new __EXECUTOR_FUNCTIONAL_NAME(1,)<T, CallType, type0>(this->functionPointer);
   };
 };
@@ -151,5 +151,5 @@
 //! @brief ExecutorClass, that can execute Functions with two parameters.
 template<class T, typename CallType, typename type0, typename type1, template<typename> class Evaluater = ExecutorEvaluater, class BaseClass = BaseObject>
-class __EXECUTOR_FUNCTIONAL_NAME(2) : public Executor<CallType, BaseClass>
+class __EXECUTOR_FUNCTIONAL_NAME(2,) : public Executor<CallType, BaseClass>
 {
 private:
@@ -162,5 +162,5 @@
    * @param __EXECUTOR_FUNCTIONAL_FUNCTION_POINTER the FunctionPointer to the Calling Function.
    */
-  __EXECUTOR_FUNCTIONAL_NAME(2) (void (__EXECUTOR_FUNCTIONAL_FUNCTION_POINTER)(type0, type1) __EXECUTOR_FUNCTIONAL_CONST)
+  __EXECUTOR_FUNCTIONAL_NAME(2,) (void (__EXECUTOR_FUNCTIONAL_FUNCTION_POINTER)(type0, type1) __EXECUTOR_FUNCTIONAL_CONST)
       : Executor<CallType, BaseClass>(false, ExecutorParamType<type0>(), ExecutorParamType<type1>(), __EXECUTOR_FUNCTIONAL_FUNCTIONTYPE)
   {
@@ -186,5 +186,5 @@
   virtual Executor<CallType, BaseClass>* clone() const
   {
-    return new __EXECUTOR_FUNCTIONAL_NAME(2)<T, CallType, type0, type1>(this->functionPointer);
+    return new __EXECUTOR_FUNCTIONAL_NAME(2,)<T, CallType, type0, type1>(this->functionPointer);
   };
 };
@@ -197,5 +197,5 @@
 //! @brief ExecutorClass, that can execute Functions with three parameters.
 template<class T, typename CallType, typename type0, typename type1, typename type2, template<typename> class Evaluater = ExecutorEvaluater, class BaseClass = BaseObject>
-class __EXECUTOR_FUNCTIONAL_NAME(3) : public Executor<CallType, BaseClass>
+class __EXECUTOR_FUNCTIONAL_NAME(3,) : public Executor<CallType, BaseClass>
 {
 private:
@@ -208,5 +208,5 @@
    * @param __EXECUTOR_FUNCTIONAL_FUNCTION_POINTER the FunctionPointer to the Calling Function.
    */
-  __EXECUTOR_FUNCTIONAL_NAME(3) (void (__EXECUTOR_FUNCTIONAL_FUNCTION_POINTER)(type0, type1, type2) __EXECUTOR_FUNCTIONAL_CONST)
+  __EXECUTOR_FUNCTIONAL_NAME(3,) (void (__EXECUTOR_FUNCTIONAL_FUNCTION_POINTER)(type0, type1, type2) __EXECUTOR_FUNCTIONAL_CONST)
       : Executor<CallType, BaseClass>(false, ExecutorParamType<type0>(), ExecutorParamType<type1>(), ExecutorParamType<type2>(), __EXECUTOR_FUNCTIONAL_FUNCTIONTYPE)
   {
@@ -233,5 +233,5 @@
   virtual Executor<CallType, BaseClass>* clone() const
   {
-    return new __EXECUTOR_FUNCTIONAL_NAME(3)<T, CallType, type0, type1, type2>(this->functionPointer);
+    return new __EXECUTOR_FUNCTIONAL_NAME(3,)<T, CallType, type0, type1, type2>(this->functionPointer);
   };
 };
@@ -244,5 +244,5 @@
 //! @brief ExecutorClass, that can execute Functions with four parameters.
 template<class T, typename CallType, typename type0, typename type1, typename type2, typename type3, template<typename> class Evaluater = ExecutorEvaluater, class BaseClass = BaseObject>
-class __EXECUTOR_FUNCTIONAL_NAME(4) : public Executor<CallType, BaseClass>
+class __EXECUTOR_FUNCTIONAL_NAME(4,) : public Executor<CallType, BaseClass>
 {
 private:
@@ -255,5 +255,5 @@
    * @param __EXECUTOR_FUNCTIONAL_FUNCTION_POINTER the FunctionPointer to the Calling Function.
    */
-  __EXECUTOR_FUNCTIONAL_NAME(4) (void (__EXECUTOR_FUNCTIONAL_FUNCTION_POINTER)(type0, type1, type2, type3) __EXECUTOR_FUNCTIONAL_CONST)
+  __EXECUTOR_FUNCTIONAL_NAME(4,) (void (__EXECUTOR_FUNCTIONAL_FUNCTION_POINTER)(type0, type1, type2, type3) __EXECUTOR_FUNCTIONAL_CONST)
       : Executor<CallType, BaseClass>(false, ExecutorParamType<type0>(), ExecutorParamType<type1>(), ExecutorParamType<type2>(), ExecutorParamType<type3>(), __EXECUTOR_FUNCTIONAL_FUNCTIONTYPE)
   {
@@ -281,5 +281,5 @@
   virtual Executor<CallType, BaseClass>* clone() const
   {
-    return new __EXECUTOR_FUNCTIONAL_NAME(4)<T, CallType, type0, type1, type2, type3>(this->functionPointer);
+    return new __EXECUTOR_FUNCTIONAL_NAME(4,)<T, CallType, type0, type1, type2, type3>(this->functionPointer);
   };
 };
@@ -292,5 +292,5 @@
 //! @brief ExecutorClass, that can execute Functions with five parameters.
 template<class T, typename CallType, typename type0, typename type1, typename type2, typename type3, typename type4, template<typename> class Evaluater = ExecutorEvaluater, class BaseClass = BaseObject>
-class __EXECUTOR_FUNCTIONAL_NAME(5) : public Executor<CallType, BaseClass>
+class __EXECUTOR_FUNCTIONAL_NAME(5,) : public Executor<CallType, BaseClass>
 {
 private:
@@ -303,5 +303,5 @@
    * @param __EXECUTOR_FUNCTIONAL_FUNCTION_POINTER the FunctionPointer to the Calling Function.
    */
-  __EXECUTOR_FUNCTIONAL_NAME(5) (void (__EXECUTOR_FUNCTIONAL_FUNCTION_POINTER)(type0, type1, type2, type3, type4) __EXECUTOR_FUNCTIONAL_CONST)
+  __EXECUTOR_FUNCTIONAL_NAME(5,) (void (__EXECUTOR_FUNCTIONAL_FUNCTION_POINTER)(type0, type1, type2, type3, type4) __EXECUTOR_FUNCTIONAL_CONST)
       : Executor<CallType, BaseClass>(false, ExecutorParamType<type0>(), ExecutorParamType<type1>(), ExecutorParamType<type2>(), ExecutorParamType<type3>(), ExecutorParamType<type4>(), __EXECUTOR_FUNCTIONAL_FUNCTIONTYPE)
   {
@@ -330,5 +330,5 @@
   virtual Executor<CallType, BaseClass>* clone() const
   {
-    return new __EXECUTOR_FUNCTIONAL_NAME(5)<T, CallType, type0, type1, type2, type3, type4>(this->functionPointer);
+    return new __EXECUTOR_FUNCTIONAL_NAME(5,)<T, CallType, type0, type1, type2, type3, type4>(this->functionPointer);
   };
 };
Index: /branches/new_class_id/src/lib/util/executor/executor_lua_state.h
===================================================================
--- /branches/new_class_id/src/lib/util/executor/executor_lua_state.h	(revision 9744)
+++ /branches/new_class_id/src/lib/util/executor/executor_lua_state.h	(revision 9745)
@@ -27,4 +27,9 @@
 #include "executor_generic.h"
 #include "luaincl.h"
+#ifdef FUNCTOR_CALL_TYPE
+ #undef FUNCTOR_CALL_TYPE
+#endif
+#define FUNCTOR_CALL_TYPE lua_State*
+
 
 template<typename type> type fromLua(lua_State* state, int index);
Index: /branches/new_class_id/src/lib/util/executor/executor_member.h
===================================================================
--- /branches/new_class_id/src/lib/util/executor/executor_member.h	(revision 9744)
+++ /branches/new_class_id/src/lib/util/executor/executor_member.h	(revision 9745)
@@ -24,5 +24,5 @@
 /// Define all Constructs, that define an Executor.
 //! The Name to be attached to the functional (for normal, static, and const modes)
-#define __EXECUTOR_FUNCTIONAL_NAME(ParamCount)   Executor##ParamCount##Params
+#define __EXECUTOR_FUNCTIONAL_NAME(ParamCount, Ext)   Executor##ParamCount##Ext
 //! if Functional is constant calling
 #define __EXECUTOR_FUNCTIONAL_CONST
Index: /branches/new_class_id/src/lib/util/executor/executor_static.h
===================================================================
--- /branches/new_class_id/src/lib/util/executor/executor_static.h	(revision 9744)
+++ /branches/new_class_id/src/lib/util/executor/executor_static.h	(revision 9745)
@@ -25,5 +25,5 @@
 
 //! The Name to be attached to the functional (for normal, static, and const modes)
-#define __EXECUTOR_FUNCTIONAL_NAME(ParamCount)   Executor##ParamCount##Params_static
+#define __EXECUTOR_FUNCTIONAL_NAME(ParamCount, Ext)   Executor##ParamCount##Ext##_static
 
 //! if Functional is constant calling
Index: /branches/new_class_id/src/lib/util/executor/executor_substring.h
===================================================================
--- /branches/new_class_id/src/lib/util/executor/executor_substring.h	(revision 9744)
+++ /branches/new_class_id/src/lib/util/executor/executor_substring.h	(revision 9745)
@@ -27,5 +27,8 @@
 #include "executor_generic.h"
 #include "substring.h"
-
+#ifdef FUNCTOR_CALL_TYPE
+ #undef FUNCTOR_CALL_TYPE
+#endif
+#define FUNCTOR_CALL_TYPE const SubString
 
 template<typename type> type fromString(const std::string& input, type defaultValue) { return defaultValue; };
Index: /branches/new_class_id/src/lib/util/executor/functor_const_member.h
===================================================================
--- /branches/new_class_id/src/lib/util/executor/functor_const_member.h	(revision 9744)
+++ /branches/new_class_id/src/lib/util/executor/functor_const_member.h	(revision 9745)
@@ -24,12 +24,8 @@
 
 #include "executor_const_member.h"
-#include "substring.h"
-
-#define FUNCTOR_CALL_TYPE const SubString
 
 /// Define all Constructs, that define an Executor.
-
 //! The Name to be attached to the functional (for normal, static, and const modes)
-#define __EXECUTOR_FUNCTIONAL_NAME(ParamCount)   Executor##ParamCount##Params_const
+#define __EXECUTOR_FUNCTIONAL_NAME(ParamCount, Ext)   Executor##ParamCount##Ext##_const
 //! if Functional is constant calling
 #define __EXECUTOR_FUNCTIONAL_CONST              const
Index: /branches/new_class_id/src/lib/util/executor/functor_generic.h
===================================================================
--- /branches/new_class_id/src/lib/util/executor/functor_generic.h	(revision 9744)
+++ /branches/new_class_id/src/lib/util/executor/functor_generic.h	(revision 9745)
@@ -29,5 +29,5 @@
 template<class T> Executor<CallType>* createExecutor(void (__EXECUTOR_FUNCTIONAL_FUNCTION_POINTER)() __EXECUTOR_FUNCTIONAL_CONST) \
 { \
-  return new __EXECUTOR_FUNCTIONAL_NAME(0)<T, CallType>(functionPointer); \
+  return new __EXECUTOR_FUNCTIONAL_NAME(0,)<T, CallType>(functionPointer); \
 }
 
@@ -40,5 +40,5 @@
 template<class T> Executor<CallType>* createExecutor(void (__EXECUTOR_FUNCTIONAL_FUNCTION_POINTER)(type0) __EXECUTOR_FUNCTIONAL_CONST) \
 { \
-  return new __EXECUTOR_FUNCTIONAL_NAME(1)<T, CallType, type0>(functionPointer); \
+  return new __EXECUTOR_FUNCTIONAL_NAME(1,)<T, CallType, type0>(functionPointer); \
 }
 
@@ -52,5 +52,5 @@
 template<class T> Executor<CallType>* createExecutor(void (__EXECUTOR_FUNCTIONAL_FUNCTION_POINTER)(type0, type1) __EXECUTOR_FUNCTIONAL_CONST) \
 { \
-  return new __EXECUTOR_FUNCTIONAL_NAME(2)<T, CallType, type0, type1>(functionPointer); \
+  return new __EXECUTOR_FUNCTIONAL_NAME(2,)<T, CallType, type0, type1>(functionPointer); \
 }
 
@@ -65,5 +65,5 @@
 template<class T> Executor<CallType>* createExecutor(void (__EXECUTOR_FUNCTIONAL_FUNCTION_POINTER)(type0, type1, type2) __EXECUTOR_FUNCTIONAL_CONST) \
 { \
-  return new __EXECUTOR_FUNCTIONAL_NAME(3)<T, CallType, type0, type1, type2>(functionPointer); \
+  return new __EXECUTOR_FUNCTIONAL_NAME(3,)<T, CallType, type0, type1, type2>(functionPointer); \
 }
 
@@ -79,5 +79,5 @@
 template<class T> Executor<CallType>* createExecutor(void (__EXECUTOR_FUNCTIONAL_FUNCTION_POINTER)(type0, type1, type2, type3) __EXECUTOR_FUNCTIONAL_CONST) \
 { \
-  return new __EXECUTOR_FUNCTIONAL_NAME(4)<T, CallType, type0, type1, type2, type3>(functionPointer); \
+  return new __EXECUTOR_FUNCTIONAL_NAME(4,)<T, CallType, type0, type1, type2, type3>(functionPointer); \
 }
 
@@ -94,5 +94,5 @@
 template<class T> Executor<CallType>* createExecutor(void (__EXECUTOR_FUNCTIONAL_FUNCTION_POINTER)(type0, type1, type2, type3, type4) __EXECUTOR_FUNCTIONAL_CONST) \
 { \
-    return new __EXECUTOR_FUNCTIONAL_NAME(5)<T, CallType, type0, type1, type2, type3, type4>(functionPointer); \
+    return new __EXECUTOR_FUNCTIONAL_NAME(5,)<T, CallType, type0, type1, type2, type3, type4>(functionPointer); \
 }
 
Index: /branches/new_class_id/src/lib/util/executor/functor_member.h
===================================================================
--- /branches/new_class_id/src/lib/util/executor/functor_member.h	(revision 9744)
+++ /branches/new_class_id/src/lib/util/executor/functor_member.h	(revision 9745)
@@ -24,12 +24,8 @@
 
 #include "executor_member.h"
-#include "substring.h"
-
-#define FUNCTOR_CALL_TYPE const SubString
 
 /// Define all Constructs, that define an Executor.
-
 //! The Name to be attached to the functional (for normal, static, and const modes)
-#define __EXECUTOR_FUNCTIONAL_NAME(ParamCount)   Executor##ParamCount##Params
+#define __EXECUTOR_FUNCTIONAL_NAME(ParamCount, Ext)   Executor##ParamCount##Ext
 //! if Functional is constant calling
 #define __EXECUTOR_FUNCTIONAL_CONST
Index: /branches/new_class_id/src/lib/util/executor/functor_static.h
===================================================================
--- /branches/new_class_id/src/lib/util/executor/functor_static.h	(revision 9744)
+++ /branches/new_class_id/src/lib/util/executor/functor_static.h	(revision 9745)
@@ -24,12 +24,8 @@
 
 #include "executor_static.h"
-#include "substring.h"
-
-#define FUNCTOR_CALL_TYPE const SubString
 
 /// Define all Constructs, that define an Executor.
-
 //! The Name to be attached to the functional (for normal, static, and const modes)
-#define __EXECUTOR_FUNCTIONAL_NAME(ParamCount)   Executor##ParamCount##Params_static
+#define __EXECUTOR_FUNCTIONAL_NAME(ParamCount, Ext)   Executor##ParamCount##Ext##_static
 //! if Functional is constant calling
 #define __EXECUTOR_FUNCTIONAL_CONST